## edu.stanford.nlp.trees
Class BobChrisTreeNormalizer.AOverAFilter

    java.lang.Object
      edu.stanford.nlp.trees.BobChrisTreeNormalizer.AOverAFilter

All Implemented Interfaces:
  Filter<Tree>, Serializable

Enclosing class:
  BobChrisTreeNormalizer

    public static class BobChrisTreeNormalizer.AOverAFilter

extends Object
implements Filter<Tree>

See Also:
  Serialized Form

Constructor Summary
`BobChrisTreeNormalizer.AOverAFilter()`

Method Summary
`boolean` `accept(Tree t)` Doesn't accept nodes that are A over A nodes (perhaps due to empty removal or are EDITED nodes).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BobChrisTreeNormalizer.AOverAFilter

    public BobChrisTreeNormalizer.AOverAFilter()

Method Detail

### accept

    public boolean accept(Tree t)

  Doesn't accept nodes that are A over A nodes (perhaps due to empty removal or are EDITED nodes).

  Specified by:
    `accept` in interface `Filter<Tree>`
  Parameters:
    `t` - an object to test
  Returns:
    Whether the object should be accepted (for some processing)

Stanford NLP Group